Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
k3b from kde-overlay [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Tue Aug 11, 2015 2:52 pm    Post subject: k3b from kde-overlay [solved] Reply with quote

Code:
>>> Emerging (1 of 1) app-cdr/k3b-9999::kde
>>> Unpacking source...
 * Fetching git://anongit.kde.org/k3b ...
git fetch git://anongit.kde.org/k3b +refs/heads/kf5:refs/heads/kf5
git symbolic-ref refs/git-r3/app-cdr/k3b/5/__main__ refs/heads/kf5
 * Checking out git://anongit.kde.org/k3b to /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999 ...
git checkout --quiet kf5
GIT update -->
   repository:               git://anongit.kde.org/k3b
   at the commit:            d5b1016e6a4c1dfcf681ce33ea9ffdd0dd5daf24
>>> Source unpacked in /var/tmp/portage/app-cdr/k3b-9999/work
>>> Preparing source in /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999 ...
 * Applying k3b-tests-optional.patch ...                                                                                                  [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF -DKDE_INSTALL_USE_QT_SYS_PATHS=ON -DK3B_BUILD_API_DOCS=OFF -DK3B_BUILD_K3BSETUP=OFF -DK3B_BUILD_WAVE_DECODER_PLUGIN=ON -DK3B_ENABLE_HAL_SUPPORT=OFF -DK3B_ENABLE_MUSICBRAINZ=OFF -DK3B_DEBUG=OFF -DK3B_ENABLE_DVD_RIPPING=ON -DK3B_BUILD_EXTERNAL_ENCODER_PLUGIN=ON -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=ON -DK3B_BUILD_FLAC_DECODER_PLUGIN=ON -DK3B_BUILD_LAME_ENCODER_PLUGIN=ON -DK3B_BUILD_MAD_DECODER_PLUGIN=ON -DK3B_BUILD_MUSE_DECODER_PLUGIN=ON -DK3B_BUILD_SNDFILE_DECODER_PLUGIN=ON -DK3B_BUILD_SOX_ENCODER_PLUGIN=ON -DK3B_ENABLE_TAGLIB=ON -DK3B_BUILD_OGGVORBIS_DECODER_PLUGIN=ON -DK3B_BUILD_OGGVORBIS_ENCODER_PLUGIN=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build/gentoo_toolchain.cmake  /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 4.9.3
-- The CXX compiler identification is GNU 4.9.3
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Looking for __GLIBC__
-- Looking for __GLIBC__ - found
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Found KF5Archive: /usr/lib64/cmake/KF5Archive/KF5ArchiveConfig.cmake (found version "5.12.0")
-- Found KF5Config: /usr/lib64/cmake/KF5Config/KF5ConfigConfig.cmake (found version "5.12.0")
-- Found KF5CoreAddons: /usr/lib64/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake (found version "5.12.0")
-- Found KF5DocTools: /usr/lib64/cmake/KF5DocTools/KF5DocToolsConfig.cmake (found version "5.12.0")
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5FileMetaData"
  with any of the following names:

    KF5FileMetaDataConfig.cmake
    kf5filemetadata-config.cmake

  Add the installation prefix of "KF5FileMetaData" to CMAKE_PREFIX_PATH or
  set "KF5FileMetaData_DIR" to a directory containing one of the above files.
  If "KF5FileMetaData" provides a separate development package or SDK, be
  sure it has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:52 (find_package)


-- Could NOT find KF5FileMetaData: found neither KF5FileMetaDataConfig.cmake nor kf5filemetadata-config.cmake
-- Found Gettext: /usr/bin/msgmerge (found version "0.19.5.1")
-- Found PythonInterp: /usr/bin/python (found version "2.7.10")
-- Found KF5I18n: /usr/lib64/cmake/KF5I18n/KF5I18nConfig.cmake (found version "5.12.0")
-- Found KF5IconThemes: /usr/lib64/cmake/KF5IconThemes/KF5IconThemesConfig.cmake (found version "5.12.0")
-- Found KF5JobWidgets: /usr/lib64/cmake/KF5JobWidgets/KF5JobWidgetsConfig.cmake (found version "5.12.0")
-- Found KF5KCMUtils: /usr/lib64/cmake/KF5KCMUtils/KF5KCMUtilsConfig.cmake (found version "5.12.0")
-- Found KF5KIO: /usr/lib64/cmake/KF5KIO/KF5KIOConfig.cmake (found version "5.12.0")
-- Found KF5Notifications: /usr/lib64/cmake/KF5Notifications/KF5NotificationsConfig.cmake (found version "5.12.0")
-- Found KF5NotifyConfig: /usr/lib64/cmake/KF5NotifyConfig/KF5NotifyConfigConfig.cmake (found version "5.12.0")
-- Found KF5Service: /usr/lib64/cmake/KF5Service/KF5ServiceConfig.cmake (found version "5.12.0")
-- Found KF5Solid: /usr/lib64/cmake/KF5Solid/KF5SolidConfig.cmake (found version "5.12.0")
-- Found KF5WidgetsAddons: /usr/lib64/cmake/KF5WidgetsAddons/KF5WidgetsAddonsConfig.cmake (found version "5.12.0")
-- Found KF5XmlGui: /usr/lib64/cmake/KF5XmlGui/KF5XmlGuiConfig.cmake (found version "5.12.0")
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
  Could NOT find KF5 (missing: FileMetaData) (found version "5.12.0")
Call Stack (most recent call first):
  /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/ECM/find-modules/FindKF5.cmake:110 (find_package_handle_standard_args)
  CMakeLists.txt:52 (find_package)


-- Configuring incomplete, errors occurred!
See also "/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build/CMakeFiles/CMakeOutput.log".
 * ERROR: app-cdr/k3b-9999::kde failed (configure phase):
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_configure
 *   environment, line 4149:  Called kde5_src_configure
 *   environment, line 3170:  Called cmake-utils_src_configure
 *   environment, line 1201:  Called _execute_optionally 'src_configure'
 *   environment, line  512:  Called enable_cmake-utils_src_configure
 *   environment, line 1533:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of `emerge --info '=app-cdr/k3b-9999::kde'`,
 * the complete build log and the output of `emerge -pqv '=app-cdr/k3b-9999::kde'`.
 * The complete build log is located at '/var/tmp/portage/app-cdr/k3b-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-cdr/k3b-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build'
 * S: '/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999'

>>> Failed to emerge app-cdr/k3b-9999, Log file:

>>>  '/var/tmp/portage/app-cdr/k3b-9999/temp/build.log'


It seems it needs:

Code:
* kde-frameworks/kfilemetadata [1]
     Available versions:  (5) [M](~)5.13.0(5/5.13) **9999(5/9999)
       {debug doc epub exif ffmpeg libav pdf taglib test}
     Homepage:            http://www.kde.org/
     Description:         Library for extracting file metadata



As I installed today kde-overlay and ripped out everything from kde4, this is basically a fresh install. seems the ebuild needs to be tweaked.

I will try to emerge that and see if ti goes on


it seems two packages with different home directory / section. Is this intendend? kde 4 one is in kde-base the other one is in kde-frameworks?
Code:
 kde-base/kfilemetadata
     Available versions:  (4) 4.14.3(4/4.14)
       {aqua debug epub exif ffmpeg mobi pdf taglib}
     Homepage:            http://www.kde.org/
     Description:         A library for extracting file metadata

* kde-frameworks/kfilemetadata [1]
     Available versions:  (5) [M](~)5.13.0(5/5.13) **9999(5/9999)
       {debug doc epub exif ffmpeg libav pdf taglib test}
     Homepage:            http://www.kde.org/
     Description:         Library for extracting file metadata


Code:
emerge -av kde-frameworks/kfilemetadata

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U *] kde-frameworks/extra-cmake-modules-9999:5/9999::kde [5.12.0:5/5.12::gentoo] USE="-doc {-test}" 0 KiB
[ebuild   R    ] app-text/poppler-0.34.0:0/53::gentoo  USE="cairo curl cxx introspection jpeg jpeg2k lcms png qt5* tiff utils -cjk -debug -doc -qt4*" 0 KiB
[ebuild     U *] kde-frameworks/karchive-9999:5/9999::kde [5.12.0:5/5.12::gentoo] USE="bzip2 lzma -debug -doc {-test}" 0 KiB
[ebuild     U *] kde-frameworks/ki18n-9999:5/9999::kde [5.12.0:5/5.12::gentoo] USE="-debug -doc {-test}" 0 KiB
[ebuild  N    *] kde-frameworks/kfilemetadata-9999:5/9999::kde  USE="exif ffmpeg pdf taglib -debug -doc -epub -libav {-test}" 0 KiB


Last edited by Roman_Gruber on Wed Aug 12, 2015 7:26 am; edited 1 time in total
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Tue Aug 11, 2015 4:54 pm    Post subject: Reply with quote

It looks like k3b-9999 is probably missing a build dependency (kde-frameworks/kfilemetadata) as you suspect. You want the Frameworks version since k3b-9999 which you are trying to build uses :5 (qt5 slot). The kde-base version is for :4 (qt4 slot).
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Tue Aug 11, 2015 5:10 pm    Post subject: Reply with quote

http://gpo.zugaina.org/kde-base/k3b/Dep

K3b complains about libmad plugin missing. I really need that to make audio cds.

it seems mad useflag is not used anymore

mp3 useflag is the old mad use flag and is not considered right in the ebuild ... assumption.

Quote:
kernel version: "3.18.16-gentoo_2015_07_08"
(K3b::Core) System problems:
WARNING
PROBLEM: "MP3 Audio Decoder plugin not found."
DETAILS: "K3b could not load or find the MP3 decoder plugin. This means that you will not be able to create Audio CDs from MP3 files. Many Linux distributions do not include MP3 support for legal reasons."
SOLUTION: "To enable MP3 support, please install the MAD MP3 decoding library as well as the K3b MAD MP3 decoder plugin (the latter may already be installed but not functional due to the missing libmad). Some distributions allow installation of MP3 support via an online update tool.


it seems libmad is somewhere needed, i have it installed but it is not used proper.

Quote:
emerge -av k3b

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R *] app-cdr/k3b-9999:5::kde USE="dvd emovix encode ffmpeg flac mad mp3 musepack sndfile sox taglib vcd vorbis -debug -handbook -libav {-test}" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

Would you like to merge these packages? [Yes/No]


ffmpg or libav. handook seems not necessary so... i have every option available enabled ...

a minor issue is that i do not have any icons. i suspect i should have

Code:
* kde-apps/kdebase-runtime-meta
     Available versions: 
     (4)    4.14.3
     (5)    [M](~)15.04.3[1] [M](~)15.07.90[1] **15.08.49.9999[1] **9999[1]
       {aqua crash-reporter +handbook minimal nepomuk}
     Homepage:            http://www.kde.org/
     Description:         Merge this to pull in all kdebase-runtime-derived packages


version / slot :5 installed.

I will pull that in after i emerged some other packages. I still need to get rid of a few qt4 build pacakges. still rebuilding a few...
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Tue Aug 11, 2015 7:10 pm    Post subject: Reply with quote

Code:
emerge -av oxygen-icons:5


Needed for icons on the left side of the file manager in k3b.


wtf:
Quote:
KSambaShare: Could not find smb.conf!
Why do I need Sama for k3b? No Samba useflag set in the first place and Samba not installed.


And I lack K3b GUI Themes. whatever...

Quote:
(K3b::Theme) "Empty Theme" : could not load image "splash.png"
(K3b::Theme) "Empty Theme" : could not load image "dialog_left.png"
(K3b::Theme) "Empty Theme" : could not load image "dialog_right.png"
22 22
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Tue Aug 11, 2015 8:44 pm    Post subject: Reply with quote

k3b crashes when an audio cd is in the drive during startup:

Code:
libkcddb: Looking up  "0201b701"  in CDDB cache
Segmentation fault


k3b is unable to handle m4a, same as with the portage version. you are able to burn those m4a but the audio is scrambled.

Just by chance I saw i had gnomebaker installed ant that instanly generated the audio disc even with m4a which k3b is unable to(portage and kde overlay version ones).

Too many issues with k3b. I will probably use other tools or just cli commands at the end.

My box will be much smaller without all that qt-crap / kde -crap. only reason was k3b and that does not work with portage version / kde version. Which was the motivation today to switch over.
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Tue Aug 11, 2015 9:52 pm    Post subject: Reply with quote

Well I don't believe k3b is on the :5 version for the official release yet (it's up to the project lead for each program to decide). They are still on :4. So technically the k3b:5 build you are using is alpha software. For stable try a k3b:4 build if you want.
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3806
Location: Austro Bavaria

PostPosted: Wed Aug 12, 2015 6:45 am    Post subject: Reply with quote

even the portage version has the same issue. the bug i requested was closed. i should report to upstream. whatever.

i googled regarding this smb.conf shit, and it seems to be a bug since kde 4 days when kde-dialog or kdialog wants samba.

its like windows bloated like hell.

I will try out gnome-baker, when its able to burn iso files to cdr/dvd. create audio-cds from ogg and mp3, K3B will be unmerged finally. k3b needs around 70-80 kde packages which is a lot of bloat, and most are qt. thats not slim anyway.

PS: Personal opinion on that topic. and yes k3b is alpha regarding this. but on the other hand, i expect ffmpeg to work from git and it does not correctly. thats why those m4a files are not parsed correctly. when you offer functionality of a software I expect it to work and not to produce waste. no problem in recoding audio to be able to burn my audio discs but broken functionality is not the best. Well i assume kde is not that used anymore because its bloated and went systemd and other policy. in the kde3 days in year 2000 it was a bit more useable, but already bloated. I remember kde3 because I tried to do a certification in these days and missed 10 percent for Redhat to pass. too many network related questions where i screwed up.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum